export const description = "Generates the rendered content.";

export const options = [
  ["--source", "the source directory", "./rendered/"]
];


export const main = async (opts) => {
  process.on('unhandledRejection', e => {
    console.error(e)
    process.exit(1)
  })

  process.chdir(opts.source);

  const build_mod = await import('../node_modules/@jamcart/7ty/src/build.js');
  console.log("---- RUNNING BUILD");
  await build_mod.default({ watch: false });
  process.exit(0);
}
